Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.util
Class HexBin

    java.lang.Object
      com.verisign.epp.util.HexBin

    public final class HexBin

extends java.lang.Object

format validation This class encodes/decodes hexadecimal data

Version:
  $Id: HexBin.java,v 1.2 2004/01/26 21:21:07 jim Exp $
Author:
  Jeffrey Rodriguez

Constructor Summary
`HexBin()`

Method Summary
`static byte[]` | `decode(byte[] binaryData)` DOCUMENT ME!
`static byte[]` | `encode(byte[] binaryData)` array of byte to encode
`static int` | `getDecodedDataLength(byte[] hexData)` DOCUMENT ME!
`static boolean` | `isHex(java.lang.String isValidString)` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HexBin

    public HexBin()

Method Detail

### isHex

    public static boolean isHex(java.lang.String isValidString)

  DOCUMENT ME!

  Parameters:
    `isValidString` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### encode

    public static byte[] encode(byte[] binaryData)

  array of byte to encode

  Parameters:
    `binaryData` -
  Returns:
    return encode binary array

### decode

    public static byte[] decode(byte[] binaryData)

  DOCUMENT ME!

  Parameters:
    `binaryData` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### getDecodedDataLength

    public static int getDecodedDataLength(byte[] hexData)

  DOCUMENT ME!

  Parameters:
    `hexData` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.